import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { MerCoupon } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-12-10 14:46
 */
interface MerCouponCU extends ConditionUtil<MerCouponCU> {
    ID: FieldUtil<MerCouponCU>;
    MER_ID: FieldUtil<MerCouponCU>;
    COUPON_ID: FieldUtil<MerCouponCU>;
    TOTAL_NUM: FieldUtil<MerCouponCU>;
    LIMIT_TYPE: FieldUtil<MerCouponCU>;
    MAX_MONTH: FieldUtil<MerCouponCU>;
    MAX_WEEK: FieldUtil<MerCouponCU>;
    MAX_DAY: FieldUtil<MerCouponCU>;
    REST_MONTH: FieldUtil<MerCouponCU>;
    REST_WEEK: FieldUtil<MerCouponCU>;
    REST_DAY: FieldUtil<MerCouponCU>;
    LOG_ID: FieldUtil<MerCouponCU>;
    VALIDITY_TIME: FieldUtil<MerCouponCU>;
    UPDATE_TIME: FieldUtil<MerCouponCU>;
}
declare class MerCouponMU extends TableUtilImpl<MerCouponCU, MerCoupon> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): MerCouponCU;
    static get ID(): FieldUtil<MerCouponCU>;
    static get MER_ID(): FieldUtil<MerCouponCU>;
    static get COUPON_ID(): FieldUtil<MerCouponCU>;
    static get TOTAL_NUM(): FieldUtil<MerCouponCU>;
    static get LIMIT_TYPE(): FieldUtil<MerCouponCU>;
    static get MAX_MONTH(): FieldUtil<MerCouponCU>;
    static get MAX_WEEK(): FieldUtil<MerCouponCU>;
    static get MAX_DAY(): FieldUtil<MerCouponCU>;
    static get REST_MONTH(): FieldUtil<MerCouponCU>;
    static get REST_WEEK(): FieldUtil<MerCouponCU>;
    static get REST_DAY(): FieldUtil<MerCouponCU>;
    static get LOG_ID(): FieldUtil<MerCouponCU>;
    static get VALIDITY_TIME(): FieldUtil<MerCouponCU>;
    static get UPDATE_TIME(): FieldUtil<MerCouponCU>;
    get ID(): FieldUtil<MerCouponCU>;
    get MER_ID(): FieldUtil<MerCouponCU>;
    get COUPON_ID(): FieldUtil<MerCouponCU>;
    get TOTAL_NUM(): FieldUtil<MerCouponCU>;
    get LIMIT_TYPE(): FieldUtil<MerCouponCU>;
    get MAX_MONTH(): FieldUtil<MerCouponCU>;
    get MAX_WEEK(): FieldUtil<MerCouponCU>;
    get MAX_DAY(): FieldUtil<MerCouponCU>;
    get REST_MONTH(): FieldUtil<MerCouponCU>;
    get REST_WEEK(): FieldUtil<MerCouponCU>;
    get REST_DAY(): FieldUtil<MerCouponCU>;
    get LOG_ID(): FieldUtil<MerCouponCU>;
    get VALIDITY_TIME(): FieldUtil<MerCouponCU>;
    get UPDATE_TIME(): FieldUtil<MerCouponCU>;
}
export { MerCouponMU, MerCouponCU };
